Foxit PDF SDK

Public Member Functions | List of all members
FoxitPDFSDKPython2.PDFStructTree Class Reference
Inheritance diagram for FoxitPDFSDKPython2.PDFStructTree:

## Public Member Functions
def | PDFStructTree (document)
| Constructor, with parameters. More...
def | GetChild (index)
| Get the structure element by index. More...
def | GetChildCount ()
| Get count of structure elements in current PDF structure tree. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | RemoveChild (index)
| Remove the structure element by index. More...

## Detailed Description

PDF structure tree is a kind of common data structure in tagged PDF documents. A structure tree is used in PDF files to represent the organization and hierarchy of the document's content. PDF structure tree has following characteristics:

- A PDF structure tree is also a hierarchical structure, with the top node representing the entire document and the lower nodes representing pages, paragraphs, headings, and other elements.
- A PDF structure tree contains semantic information about the content of the document, such as headings, paragraphs, tables, and lists. This information is used to enhance the accessibility and usability of the document, as well as to optimize its display and printing;

Class PDFStructTree is used to be associated with an existing PDF structure tree. It offers functions to get structure elements in the PDF structure tree.

## Constructor & Destructor Documentation

## ◆ PDFStructTree()

def FoxitPDFSDKPython2.PDFStructTree.PDFStructTree | ( |  | document | ) |

Constructor, with parameters.

Constructor, with another PDF structure tree object.

If there exists PDF structure tree in the PDF document, this function is just to construct a PDF structure tree object to be associated with the structure tree.

Parameters

  [in] | document | A valid PDF document object.
  [in] | other | Another PDF structure tree object.

## Member Function Documentation

## ◆ GetChild()

def FoxitPDFSDKPython2.PDFStructTree.GetChild | ( |  | index | ) |

Get the structure element by index.

Parameters

  [in] | index | Index of the structure element to be retrieved. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython2.PDFStructTree.GetChildCount .

Returns
  A StructElement object.

## ◆ GetChildCount()

def FoxitPDFSDKPython2.PDFStructTree.GetChildCount | ( |  | ) |

Get count of structure elements in current PDF structure tree.

Returns
  The structure elements count.

## ◆ IsEmpty()

def FoxitPDFSDKPython2.PDFStructTree.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ RemoveChild()

def FoxitPDFSDKPython2.PDFStructTree.RemoveChild | ( |  | index | ) |

Remove the structure element by index.

Parameters

  [in] | index | Index of the structure element to be retrieved. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython2.PDFStructTree.GetChildCount .

Returns
  None.